%define upstream_name    Lemonldap-NG-Cli
%define upstream_version 0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Configure LemonLDAP::NG via the command line
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Lemonldap/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(Lemonldap::NG::Common::Conf)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
Lemonldap::NG::Cli allow user to edit the configuration of Lemonldap::NG
via the command line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor --prefix=/usr

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml TODO
%{_bindir}/lemonldap-ng-cli
/usr/etc/lemonldap-ng/lemonldap-cli.ini
%{perl_vendorlib}/Lemonldap/NG/Cli.pm
%{_mandir}/man1/lemonldap-ng-cli.1.*
%{_mandir}/man3/Lemonldap::NG::Cli.3pm.*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 538481
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 0.200.0-2.mga4
+ Revision: 489753
- Fix files list

  + jquelin <jquelin>
    - perl 5.18.0 rebuild

* Fri Feb 22 2013 kharec <kharec> 0.200.0-1.mga3
+ Revision: 399874
- imported package perl-Lemonldap-NG-Cli

